# -*- coding: utf-8 -*-
# System imports
from setuptools import setup
from os import path
# io.open is needed for projects that support Python 2.7
# It ensures open() defaults to text mode with universal newlines,
# and accepts an argument to specify the text encoding
# Python 3 only projects can skip this import
from io import open

# Third-party imports
# Local imports


here = path.abspath(path.dirname(__file__))


# Get the long description from the README file
with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()


setup(
    name='thumbor_aliases',
    version='0.0.1',
    url='http://github.com/dgarana/thumbor-aliases',
    license='MIT',
    author='David Garaña',
    description='Thumbor URL Aliases',
    long_description=long_description,
    packages=['thumbor_aliases'],
    include_package_data=True,
    zip_safe=False,
    platforms='any',
    install_requires=[
        'thumbor',
        'tc_core',
        'pyyaml',
    ],
    classifiers=[
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'
    ]
)
